Package org.apache.sling.jcr.api

# Interface SlingRepositoryInitializer

@ConsumerType public interface SlingRepositoryInitializer
All active `SlingRepositoryInitializer` services are called before making the `SlingRepository` service available, and can perform initializations on it, like creating service users, setting up initial access control, migrating content in upgrades, etc. The `SlingRepositoryInitializer` services need to be aware of any repository clustering scenarios as well as multiple Sling instances accessing the same repository. They might need to implement locking to avoid conflicts.

## Method Summary

Modifier and Type
Method
Description
`void`
`processRepository(@NotNull SlingRepository repo)`
Process the content repository before it is registered as an OSGi service.

## Method Details

### processRepository

void processRepository(@NotNull @NotNull SlingRepository repo) throws Exception
Process the content repository before it is registered as an OSGi service.

Parameters:
  `repo` - the repository to process
Throws:
  `Exception` - If anything happens that should prevent the SlingRepository service from being registered.